# Ogre::ResourceBackgroundQueueListener Class Reference

This abstract listener interface lets you get immediate notifications of completed background processes instead of having to check ticket statuses. More...

`#include <OgreResourceBackgroundQueue.h>`

List of all members.

## Public Member Functions

virtual void | operationCompleted (BackgroundProcessTicket ticket)=0
| Called when a requested operation completes.

## Detailed Description

This abstract listener interface lets you get immediate notifications of completed background processes instead of having to check ticket statuses.

Note:
  These callbacks occur in the background thread, not the thread which you queued your request from. You should only use this method if you understand the implications of threading and the use of locks, monitor objects or other such thread safety techniques. If you don't, use the simpler 'ticket' approach and poll the isProcessComplete() method to determine when your processes complete.

Definition at line 55 of file OgreResourceBackgroundQueue.h.

## Member Function Documentation

virtual void Ogre::ResourceBackgroundQueueListener::operationCompleted | ( | BackgroundProcessTicket | ticket | ) | `[pure virtual]`

Called when a requested operation completes.

Note:
  Called in the background thread, not your queueing thread, so be careful!

The documentation for this class was generated from the following file:

- OgreResourceBackgroundQueue.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:02:47 2006